Skip to main content
POST
/
api2
/
v1
/
glossaries
/
{glossaryUid}
/
upload
Upload glossary
curl --request POST \
  --url https://cloud.memsource.com/web/api2/v1/glossaries/{glossaryUid}/upload \
  --header 'Authorization: <api-key>' \
  --header 'Content-Disposition: <content-disposition>' \
  --header 'Content-Type: application/octet-stream' \
  --data '{}'
{
  "createdTermsCount": 123,
  "langs": [
    "<string>"
  ],
  "updatedTermsCount": 123
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Headers

Content-Disposition
string
required

must match pattern ((inline|attachment); )?filename\*=UTF-8''(.+)

Path Parameters

glossaryUid
string
required

Unique identifier of the glossary

Query Parameters

strictLangMatching
boolean
default:false

When true, only terms whose languages exactly match the glossary languages are imported; when false, languages are matched leniently.

updateTerms
boolean
default:true

When true, existing terms are updated from the imported file.

Body

application/octet-stream

The body is of type object.

Response

OK

createdTermsCount
integer<int64>

Number of terms created during the import

langs
string[]

Language codes imported into the glossary

updatedTermsCount
integer<int64>

Number of existing terms updated during the import